
#include <iostream>
#include <map>
#include <set>
using namespace std;
int main(){
    int n, k;
    cin >> k >> n;
    map <int, int> a;
    set <int> ans;
    for(int i = 0; i < n; i ++){
        int temp;
        cin >> temp;
        a[temp]++;
    }
    for(auto i: a){
        if(i.second >= k){
            ans.insert(i.first);
        }
    }
    cout << ans.size() << "\n";
    for(auto i: ans){
        cout << i << " ";
    }
}
